package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 考生分组状态表
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("mark_group_student")
@ApiModel(value="MarkGroupStudent对象", description="考生分组状态表")
public class MarkGroupStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "考生ID")
    @TableId(value = "student_id", type = IdType.AUTO)
    private Integer studentId;

    @ApiModelProperty(value = "分组ID")
    private Integer groupNumber;

    @ApiModelProperty(value = "考试ID")
    private Integer examId;

    @ApiModelProperty(value = "科目代码")
    private String paperNumber;

    @ApiModelProperty(value = "状态")
    private String status;

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }
    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }
    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "MarkGroupStudent{" +
            "studentId=" + studentId +
            ", groupNumber=" + groupNumber +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", status=" + status +
        "}";
    }
}
